from ctypes import c_void_p, Structure, CFUNCTYPE, c_char_p, c_bool, c_int32, POINTER
from icure.kotlin_dll_loader import kdll

class AnyKtRef(Structure):
    _fields_ = [
        ("pinned", c_void_p),
    ]

UNUSED_C_FUNC = CFUNCTYPE(None)
DATA_RESULT_CALLBACK_FUNC = CFUNCTYPE(None, c_char_p, c_char_p)
PTR_RESULT_CALLBACK_FUNC = CFUNCTYPE(None, c_void_p, c_char_p)
CALLBACK_PARAM_NO_INPUT = CFUNCTYPE(None, c_void_p)
CALLBACK_PARAM_DATA_INPUT = CFUNCTYPE(None, c_void_p, c_char_p)
class SdkInitializationResult(Structure):
    _fields_ = [
        ("_type", CFUNCTYPE(c_void_p)),
        ("get_failure", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("get_success", CFUNCTYPE(AnyKtRef, AnyKtRef)),
    ]

class PyCryptoStrategies(Structure):
    _fields_ = [
        ("create", CFUNCTYPE(c_void_p, c_void_p, c_void_p, c_void_p, c_void_p)),
        ("recoverWithRecoveryKey", CFUNCTYPE(c_void_p, c_void_p, c_char_p, c_bool)),
    ]

class ApplicationSettingsApi(Structure):
    _fields_ = [
        ("createApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("updateApplicationSettingsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateApplicationSettingsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class CodeApi(Structure):
    _fields_ = [
        ("createCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterCodesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterCodesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findCodesByLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCodesByLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findCodesByLinkAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCodesByLinkBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findCodesByTypeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCodesByTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCodeByRegionLanguageTypeLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCodeByRegionLanguageTypeLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCodeWithPartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCodeWithPartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("importCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("importCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("isCodeValidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("isCodeValidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listCodeTypesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listCodeTypesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listCodesByRegionTypeCodeVersionAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listCodesByRegionTypeCodeVersionBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listTagTypesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listTagTypesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchCodesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchCodesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class shamirKeysManager(Structure):
    _fields_ = [
        ("getExistingSplitsInfo", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateSelfSplitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateSelfSplitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class CryptoApi(Structure):
    _fields_ = [
        ("shamirKeysManager", shamirKeysManager),
        ("forceReloadAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("forceReloadBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
    ]

class DeviceApi(Structure):
    _fields_ = [
        ("createDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDeviceInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDeviceInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDevicesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDevicesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterDevicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterDevicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDevicesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDevicesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchDevicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchDevicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDeviceInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDeviceInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateDeviceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateDeviceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateDevicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateDevicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class DocumentTemplateApi(Structure):
    _fields_ = [
        ("createDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAllDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAllDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAttachmentTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAttachmentTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAttachmentUrl", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("listDocumentTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("listDocumentTemplatesByDocumentTypeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentTemplatesByDocumentTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentTemplatesByDocumentTypeForCurrentUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentTemplatesByDocumentTypeForCurrentUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setDocumentTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setDocumentTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class EntityReferenceApi(Structure):
    _fields_ = [
        ("createEntityReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createEntityReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getLatestAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getLatestBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class EntityTemplateApi(Structure):
    _fields_ = [
        ("createEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAllEntityTemplatesByKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAllEntityTemplatesByKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllEntityTemplatesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listAllEntityTemplatesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listEntityTemplatesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listEntityTemplatesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listEntityTemplatesByKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listEntityTemplatesByKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyEntityTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyEntityTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyEntityTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyEntityTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class FrontEndMigrationApi(Structure):
    _fields_ = [
        ("createFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFrontEndMigrationByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFrontEndMigrationByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFrontEndMigrationsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getFrontEndMigrationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("modifyFrontEndMigrationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFrontEndMigrationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class GroupApi(Structure):
    _fields_ = [
        ("changeSuperGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("changeSuperGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteOperationTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteOperationTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findGroupsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findGroupsWithContentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findGroupsWithContentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDefaultRolesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDefaultRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getGroupsStorageInfosAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getGroupsStorageInfosBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHierarchyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHierarchyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getNameOfGroupParentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getNameOfGroupParentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getOperationTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getOperationTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getReplicationInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReplicationInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hardDeleteGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hardDeleteGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("initDesignDocsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("initDesignDocsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllGroupsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("listAllGroupsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("listAppsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("listAppsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("listGroupsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("listGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("modifyGroupNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyGroupNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyGroupPropertiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyGroupPropertiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("registerNewGroupAdministratorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("registerNewGroupAdministratorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resetStorageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resetStorageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setDefaultRolesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setDefaultRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setGroupPasswordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setGroupPasswordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("solveConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("solveConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class HealthcarePartyApi(Structure):
    _fields_ = [
        ("createHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcarePartiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcarePartiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcarePartiesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcarePartiesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterHealthPartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterHealthPartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcarePartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcarePartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcarePartiesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcarePartiesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcarePartiesBySpecialityAndPostCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcarePartiesBySpecialityAndPostCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcarePartiesBySsinOrNihiiAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcarePartiesBySsinOrNihiiBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCurrentHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getHealthcarePartiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcarePartiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcarePartiesInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcarePartiesInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPublicKeyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPublicKeyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listHealthcarePartiesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listHealthcarePartiesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listHealthcarePartiesByParentIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listHealthcarePartiesByParentIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchHealthcarePartiesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchHealthcarePartiesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcarePartyInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcarePartyInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("registerPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("registerPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ICureApi(Structure):
    _fields_ = [
        ("evictAllFromMapAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("evictAllFromMapBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getIndexingInfoAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getIndexingInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getIndexingInfoByGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getIndexingInfoByGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getProcessInfoAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getProcessInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getReplicationInfoAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getReplicationInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getReplicatorInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReplicatorInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getVersionAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getVersionBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("isReadyAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("isReadyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("resolveContactsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveContactsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolveDocumentsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveDocumentsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolveFormsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveFormsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolveHealthElementsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveHealthElementsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolveInvoicesConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveInvoicesConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolveMessagesConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolveMessagesConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("resolvePatientsConflictsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("resolvePatientsConflictsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateDesignDocAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateDesignDocBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class InsuranceApi(Structure):
    _fields_ = [
        ("createInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAllInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAllInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInsurancesByCodeAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInsurancesByCodeBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInsurancesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInsurancesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInsuranceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInsuranceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class KeywordApi(Structure):
    _fields_ = [
        ("createKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteKeywordsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteKeywordsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getKeywordsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getKeywordsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getKeywordsByUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getKeywordsByUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyKeywordAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyKeywordBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class PermissionApi(Structure):
    _fields_ = [
        ("modifyUserPermissionsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyUserPermissionsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class PlaceApi(Structure):
    _fields_ = [
        ("createPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deletePlacesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deletePlacesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPlacesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPlacesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPlaceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPlaceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class RecoveryApi(Structure):
    _fields_ = [
        ("createExchangeDataRecoveryInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createExchangeDataRecoveryInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createRecoveryInfoForAvailableKeyPairsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createRecoveryInfoForAvailableKeyPairsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAllExchangeDataRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAllExchangeDataRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAllKeyPairRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAllKeyPairRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAllRecoveryInfoForAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAllRecoveryInfoForBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteRecoveryInfoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteRecoveryInfoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("recoverExchangeDataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("recoverExchangeDataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("recoverKeyPairsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("recoverKeyPairsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class RoleApi(Structure):
    _fields_ = [
        ("getAllRolesAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getAllRolesBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
    ]

class TarificationApi(Structure):
    _fields_ = [
        ("createTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findTarificationsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findTarificationsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findTarificationsByLabelAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findTarificationsByLabelBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTarificationWithPartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTarificationWithPartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTarificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTarificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTarificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTarificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class UserApi(Structure):
    _fields_ = [
        ("addRolesToUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addRolesToUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("addRolesToUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addRolesToUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("assignHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("assignHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createAdminUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createAdminUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createAdminUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createAdminUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("disable2faForUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("disable2faForUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("disable2faForUserWithGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("disable2faForUserWithGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("enable2faForUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("enable2faForUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("enable2faForUserWithGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("enable2faForUserWithGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterUsersInGroupByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterUsersInGroupByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findByHcpartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findByHcpartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findByPatientIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findByPatientIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCurrentUserAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getMatchingUsersAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getMatchingUsersBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getTokenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTokenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTokenInAllGroupsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTokenInAllGroupsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTokenInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTokenInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getUserByEmailAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getUserByEmailBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getUserByPhoneNumberAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getUserByPhoneNumberBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listUsersInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listUsersInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchUsersByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchUsersByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPropertiesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPropertiesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeRolesFromUserAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeRolesFromUserBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeRolesFromUserInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeRolesFromUserInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class DataOwnerApi(Structure):
    _fields_ = [
        ("clearCurrentDataOwnerIdsCache", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCryptoActorStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCryptoActorStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCurrentDataOwnerAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCurrentDataOwnerHierarchyAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerHierarchyBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCurrentDataOwnerHierarchyIdsAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerHierarchyIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCurrentDataOwnerHierarchyIdsFromAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCurrentDataOwnerHierarchyIdsFromBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCurrentDataOwnerIdAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCurrentDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getCurrentDataOwnerTypeAsync", CFUNCTYPE(None, AnyKtRef, c_void_p)),
        ("getCurrentDataOwnerTypeBlocking", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("getDataOwnerAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDataOwnerBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDataOwnerStubAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDataOwnerStubBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class IcureMaintenanceTaskApi(Structure):
    _fields_ = [
        ("applyKeyPairUpdateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("applyKeyPairUpdateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createKeyPairUpdateNotificationToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createKeyPairUpdateNotificationToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createKeyPairUpdateNotificationsToAllDelegationCounterpartsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createKeyPairUpdateNotificationsToAllDelegationCounterpartsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class extended(Structure):
    _fields_ = [
        ("DataOwnerApi", DataOwnerApi),
        ("IcureMaintenanceTaskApi", IcureMaintenanceTaskApi),
    ]

class encrypted(Structure):
    _fields_ = [
        ("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class AccessLogApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class AccessLogBasicApi(Structure):
    _fields_ = [
        ("deleteAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsByUserAfterDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsByUserAfterDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findAccessLogsInGroupAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findAccessLogsInGroupBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAccessLogsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAccessLogsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyAccessLogAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyAccessLogBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class CalendarItemApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findCalendarItemsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("linkToPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("linkToPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class CalendarItemBasicApi(Structure):
    _fields_ = [
        ("deleteCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findCalendarItemsByRecurrenceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findCalendarItemsByRecurrenceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsByPeriodAndHcPartyIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarItemsWithIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarItemsWithIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getCalendarsByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getCalendarsByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyCalendarItemAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyCalendarItemBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ClassificationApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findClassificationsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findClassificationsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ClassificationBasicApi(Structure):
    _fields_ = [
        ("deleteClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getClassificationsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getClassificationsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyClassificationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyClassificationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ContactApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("subscribeToServiceEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToServiceEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ContactBasicApi(Structure):
    _fields_ = [
        ("closeForHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("closeForHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsByOpeningDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsByOpeningDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findContactsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findContactsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServiceCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServiceCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getServicesLinkedToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getServicesLinkedToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactByHCPartyServiceIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactByHCPartyServiceIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndFormIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndFormIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listContactsByHCPartyAndPatientSecretFKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByAssociationIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByAssociationIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listServicesByHealthElementIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listServicesByHealthElementIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchContactsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchContactsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchServicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchServicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyContactsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyContactsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("subscribeToServiceEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToServiceEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class DocumentApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("encryptAndSetMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("encryptAndSetMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("encryptAndSetSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("encryptAndSetSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDocumentsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDocumentsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAndDecryptMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, c_void_p)),
        ("getAndDecryptMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
        ("getAndDecryptSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, c_void_p)),
        ("getAndDecryptSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p, c_void_p)),
        ("getAndTryDecryptMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class DocumentBasicApi(Structure):
    _fields_ = [
        ("deleteDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findWithoutDelegationAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findWithoutDelegationBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDocumentsByExternalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDocumentsByExternalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMainAttachmentAsJsonAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMainAttachmentAsJsonBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMainAttachmentAsPlainTextAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMainAttachmentAsPlainTextBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDocumentsByHcPartyMessageForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDocumentsByHcPartyMessageForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyDocumentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyDocumentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawMainAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawMainAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawSecondaryAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawSecondaryAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class FormApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findFormsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findFormsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplatesByGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplatesByGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class FormBasicApi(Structure):
    _fields_ = [
        ("createFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getChildrenFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplatesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplatesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormTemplatesByGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormTemplatesByGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByLogicalUuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByLogicalUuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getFormsByUniqueIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getFormsByUniqueIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormTemplatesBySpecialityAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormTemplatesBySpecialityBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listFormsByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listFormsByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyFormsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyFormsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setTemplateAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setTemplateAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("updateFormTemplateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("updateFormTemplateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class HealthcareElementApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class HealthcareElementBasicApi(Structure):
    _fields_ = [
        ("deleteHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findHealthcareElementsDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchHealthcareElementsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchHealthcareElementsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyHealthcareElementsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyHealthcareElementsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class InvoiceApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTarificationsCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTarificationsCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class InvoiceBasicApi(Structure):
    _fields_ = [
        ("appendCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("appendCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterInvoicesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterInvoicesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByAuthorAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByAuthorBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findInvoicesDelegationsStubsByHcPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTarificationsCodesOccurrencesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTarificationsCodesOccurrencesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listAllHcpsByStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listAllHcpsByStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByContactIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByContactIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHCPartyAndPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartyAndGroupIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartyAndGroupIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcPartySentMediumTypeInvoiceTypeSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByHcpartySendingModeStatusDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByHcpartySendingModeStatusDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByRecipientsIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByRecipientsIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listInvoicesByServiceIdsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listInvoicesByServiceIdsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToInsurancesUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToInsurancesUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listToPatientsUnsentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listToPatientsUnsentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergeToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergeToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("reassignInvoiceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("reassignInvoiceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeCodesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeCodesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("validateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("validateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class MaintenanceTaskApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMaintenanceTasksAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMaintenanceTasksBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class MaintenanceTaskBasicApi(Structure):
    _fields_ = [
        ("deleteMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMaintenanceTasksAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMaintenanceTasksBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterMaintenanceTasksByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMaintenanceTasksByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMaintenanceTaskAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMaintenanceTaskBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class MessageApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createMessageInTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createMessageInTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHcPartyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHcPartyPatientBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class MessageBasicApi(Structure):
    _fields_ = [
        ("deleteMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByFromAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByFromAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByHCPartyPatientForeignKeysAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByHCPartyPatientForeignKeysBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByToAddressAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByToAddressBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findMessagesByTransportGuidSentDateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findMessagesByTransportGuidSentDateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getChildrenMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getChildrenMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getMessagesChildrenAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getMessagesChildrenBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByInvoicesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByInvoicesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listMessagesByTransportGuidsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listMessagesByTransportGuidsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchMessagesByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchMessagesByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyMessageAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyMessageBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesReadStatusAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesReadStatusBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setMessagesStatusBitsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setMessagesStatusBitsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class PatientApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationsDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationsDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deletePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deletePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("forceInitialiseExchangeDataToNewlyInvitedPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("forceInitialiseExchangeDataToNewlyInvitedPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getConfidentialSecretIdsOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getConfidentialSecretIdsOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDataOwnersWithAccessToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDataOwnersWithAccessToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientIdOfChildDocumentForHcpAndHcpParentsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientIdOfChildDocumentForHcpAndHcpParentsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getSecretIdsOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getSecretIdsOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("initialiseConfidentialSecretIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("initialiseConfidentialSecretIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("registerPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("registerPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareAllDataOfPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareAllDataOfPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("undeletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("undeletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class PatientBasicApi(Structure):
    _fields_ = [
        ("countOfPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("countOfPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deletePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deletePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDeletedPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDeletedPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findDuplicatesBySsinAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findDuplicatesBySsinBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsByNameBirthSsinAutoAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsByNameBirthSsinAutoBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsIdsByHealthcarePartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsIdsByHealthcarePartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("findPatientsModifiedAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("findPatientsModifiedAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("fuzzySearchAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("fuzzySearchBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getDataOwnersWithAccessToAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getDataOwnersWithAccessToBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByExternalIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByExternalIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientByHealthcarePartyAndIdentifierAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientByHealthcarePartyAndIdentifierBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientHcPartyKeysForDelegateAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientHcPartyKeysForDelegateBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listDeletedPatientsByNameAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listDeletedPatientsByNameBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listOfMergesAfterAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listOfMergesAfterBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsByHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsByHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listPatientsOfHcPartyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listPatientsOfHcPartyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchPatientsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchPatientsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("mergePatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("mergePatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientReferralAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientReferralBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyPatientsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyPatientsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("undeletePatientAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("undeletePatientBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ReceiptApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteReceiptsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteReceiptsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("encryptAndSetReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("encryptAndSetReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getAndDecryptReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getAndDecryptReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("logReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("logReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class ReceiptBasicApi(Structure):
    _fields_ = [
        ("deleteReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteReceiptsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteReceiptsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("listByReferenceAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("listByReferenceBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyReceiptAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyReceiptBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("setRawReceiptAttachmentAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("setRawReceiptAttachmentBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class TimeTableApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTimeTablesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTimeTablesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class TimeTableBasicApi(Structure):
    _fields_ = [
        ("deleteTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTimeTablesAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTimeTablesBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTimeTablesByPeriodAndAgendaIdAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTimeTablesByPeriodAndAgendaIdBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTimeTableAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTimeTableBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class encrypted(Structure):
    _fields_ = [
        ("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class tryAndRecover(Structure):
    _fields_ = [
        ("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class TopicApi(Structure):
    _fields_ = [
        ("encrypted", encrypted),
        ("tryAndRecover", tryAndRecover),
        ("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createDelegationDeAnonymizationMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createDelegationDeAnonymizationMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("createTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("createTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("decryptPatientIdOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("decryptPatientIdOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getEncryptionKeysOfAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getEncryptionKeysOfBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("hasWriteAccessAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("hasWriteAccessBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("shareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("shareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
        ("tryShareWithManyAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("tryShareWithManyBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("withEncryptionMetadataAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("withEncryptionMetadataBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
    ]

class TopicBasicApi(Structure):
    _fields_ = [
        ("addParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("addParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("deleteTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("deleteTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("filterTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("filterTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("getTopicsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("getTopicsBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("matchTopicsByAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("matchTopicsByBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("modifyTopicAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("modifyTopicBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("removeParticipantAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("removeParticipantBlocking", CFUNCTYPE(c_void_p, AnyKtRef, c_char_p)),
        ("subscribeToEventsAsync", CFUNCTYPE(None, AnyKtRef, c_char_p, c_void_p)),
        ("subscribeToEventsBlocking", CFUNCTYPE(AnyKtRef, AnyKtRef, c_char_p)),
    ]

class flavoured(Structure):
    _fields_ = [
        ("AccessLogApi", AccessLogApi),
        ("AccessLogBasicApi", AccessLogBasicApi),
        ("CalendarItemApi", CalendarItemApi),
        ("CalendarItemBasicApi", CalendarItemBasicApi),
        ("ClassificationApi", ClassificationApi),
        ("ClassificationBasicApi", ClassificationBasicApi),
        ("ContactApi", ContactApi),
        ("ContactBasicApi", ContactBasicApi),
        ("DocumentApi", DocumentApi),
        ("DocumentBasicApi", DocumentBasicApi),
        ("FormApi", FormApi),
        ("FormBasicApi", FormBasicApi),
        ("HealthcareElementApi", HealthcareElementApi),
        ("HealthcareElementBasicApi", HealthcareElementBasicApi),
        ("InvoiceApi", InvoiceApi),
        ("InvoiceBasicApi", InvoiceBasicApi),
        ("MaintenanceTaskApi", MaintenanceTaskApi),
        ("MaintenanceTaskBasicApi", MaintenanceTaskBasicApi),
        ("MessageApi", MessageApi),
        ("MessageBasicApi", MessageBasicApi),
        ("PatientApi", PatientApi),
        ("PatientBasicApi", PatientBasicApi),
        ("ReceiptApi", ReceiptApi),
        ("ReceiptBasicApi", ReceiptBasicApi),
        ("TimeTableApi", TimeTableApi),
        ("TimeTableBasicApi", TimeTableBasicApi),
        ("TopicApi", TopicApi),
        ("TopicBasicApi", TopicBasicApi),
    ]

class api(Structure):
    _fields_ = [
        ("ApplicationSettingsApi", ApplicationSettingsApi),
        ("CodeApi", CodeApi),
        ("CryptoApi", CryptoApi),
        ("DeviceApi", DeviceApi),
        ("DocumentTemplateApi", DocumentTemplateApi),
        ("EntityReferenceApi", EntityReferenceApi),
        ("EntityTemplateApi", EntityTemplateApi),
        ("FrontEndMigrationApi", FrontEndMigrationApi),
        ("GroupApi", GroupApi),
        ("HealthcarePartyApi", HealthcarePartyApi),
        ("ICureApi", ICureApi),
        ("InsuranceApi", InsuranceApi),
        ("KeywordApi", KeywordApi),
        ("PermissionApi", PermissionApi),
        ("PlaceApi", PlaceApi),
        ("RecoveryApi", RecoveryApi),
        ("RoleApi", RoleApi),
        ("TarificationApi", TarificationApi),
        ("UserApi", UserApi),
        ("extended", extended),
        ("flavoured", flavoured),
    ]

class RsaEncryptionAlgorithmSerializer(Structure):
    _fields_ = [
        ("_type", CFUNCTYPE(c_void_p)),
        ("_instance", CFUNCTYPE(AnyKtRef)),
        ("get_descriptor", CFUNCTYPE(AnyKtRef, AnyKtRef)),
        ("deserialize", CFUNCTYPE(AnyKtRef, AnyKtRef, AnyKtRef)),
        ("serialize", CFUNCTYPE(None, AnyKtRef, AnyKtRef, AnyKtRef)),
    ]

class serialization(Structure):
    _fields_ = [
        ("RsaEncryptionAlgorithmSerializer", RsaEncryptionAlgorithmSerializer),
    ]

class EntitySubscription(Structure):
    _fields_ = [
        ("close", CFUNCTYPE(c_void_p, c_void_p)),
        ("getCloseReason", CFUNCTYPE(c_void_p, c_void_p)),
        ("getEvent", CFUNCTYPE(c_void_p, c_void_p)),
        ("waitForEventAsync", CFUNCTYPE(None, c_void_p, c_int32, c_void_p)),
        ("waitForEventBlocking", CFUNCTYPE(c_void_p, c_void_p, c_int32)),
    ]

class subscription(Structure):
    _fields_ = [
        ("EntitySubscription", EntitySubscription),
    ]

class PyResult(Structure):
    _fields_ = [
        ("_type", CFUNCTYPE(c_void_p)),
        ("get_failure", CFUNCTYPE(c_void_p, AnyKtRef)),
        ("get_success", CFUNCTYPE(c_void_p, AnyKtRef)),
    ]

class PaginatedListIterator(Structure):
    _fields_ = [
        ("hasNextAsync", CFUNCTYPE(None, c_void_p, c_void_p)),
        ("hasNextBlocking", CFUNCTYPE(c_void_p, c_void_p)),
        ("nextAsync", CFUNCTYPE(None, c_void_p, c_int32, c_void_p)),
        ("nextBlocking", CFUNCTYPE(c_void_p, c_void_p, c_int32)),
    ]

class utils(Structure):
    _fields_ = [
        ("PyResult", PyResult),
        ("PaginatedListIterator", PaginatedListIterator),
        ("disposeStablePtr", CFUNCTYPE(None, c_void_p)),
        ("setCallbackFailure", CFUNCTYPE(None, c_void_p, c_char_p)),
        ("setCallbackResult", CFUNCTYPE(None, c_void_p, c_char_p)),
    ]

class py(Structure):
    _fields_ = [
        ("SdkInitializationResult", SdkInitializationResult),
        ("PyCryptoStrategies", PyCryptoStrategies),
        ("api", api),
        ("serialization", serialization),
        ("subscription", subscription),
        ("utils", utils),
        ("initializeBaseSdk", CFUNCTYPE(AnyKtRef, c_char_p)),
        ("initializeSdk", CFUNCTYPE(AnyKtRef, c_char_p, c_void_p)),
    ]

class sdk(Structure):
    _fields_ = [
        ("py", py),
    ]

class icure(Structure):
    _fields_ = [
        ("sdk", sdk),
    ]

class com(Structure):
    _fields_ = [
        ("icure", icure),
    ]

class root(Structure):
    _fields_ = [
        ("com", com),
    ]

class kotlin(Structure):
    _fields_ = [
        ("root", root),
    ]

class Symbols(Structure):
    _fields_ = [
        ("DisposeStablePointer", CFUNCTYPE(None, c_void_p)),
        ("DisposeString", CFUNCTYPE(None, c_void_p)),
        ("IsInstance", UNUSED_C_FUNC),
        ("createNullableByte", UNUSED_C_FUNC),
        ("getNonNullValueOfByte", UNUSED_C_FUNC),
        ("createNullableShort", UNUSED_C_FUNC),
        ("getNonNullValueOfShort", UNUSED_C_FUNC),
        ("createNullableInt", UNUSED_C_FUNC),
        ("getNonNullValueOfInt", UNUSED_C_FUNC),
        ("createNullableLong", UNUSED_C_FUNC),
        ("getNonNullValueOfLong", UNUSED_C_FUNC),
        ("createNullableFloat", UNUSED_C_FUNC),
        ("getNonNullValueOfFloat", UNUSED_C_FUNC),
        ("createNullableDouble", UNUSED_C_FUNC),
        ("getNonNullValueOfDouble", UNUSED_C_FUNC),
        ("createNullableChar", UNUSED_C_FUNC),
        ("getNonNullValueOfChar", UNUSED_C_FUNC),
        ("createNullableBoolean", UNUSED_C_FUNC),
        ("getNonNullValueOfBoolean", UNUSED_C_FUNC),
        ("createNullableUnit", UNUSED_C_FUNC),
        ("createNullableUByte", UNUSED_C_FUNC),
        ("getNonNullValueOfUByte", UNUSED_C_FUNC),
        ("createNullableUShort", UNUSED_C_FUNC),
        ("getNonNullValueOfUShort", UNUSED_C_FUNC),
        ("createNullableUInt", UNUSED_C_FUNC),
        ("getNonNullValueOfUInt", UNUSED_C_FUNC),
        ("createNullableULong", UNUSED_C_FUNC),
        ("getNonNullValueOfULong", UNUSED_C_FUNC),
        ("kotlin", kotlin),
    ]

def __loadSymbols():
    kdll.libicure_sdk_native_pylib_symbols.restype = POINTER(Symbols)
    return kdll.libicure_sdk_native_pylib_symbols().contents

symbols: Symbols = __loadSymbols()